part of iban_to_bic;

const Map<String, Iban> _ltBankCodes = <String, Iban>{
  '30300': Iban(
    bic: 'ABLPLT21',
    bankName: 'AB Lietuvos pastas',
    bankAddress: 'J.Jasinskio St 16',
    bankShortName: 'AB Lietuvos pastas',
    bankPostcode: '03500',
    bankLocation: 'J.Jasinskio St 16',
  ),
  '40100': Iban(
    bic: 'AGBLLT2X',
    bankName: 'Luminor Bank AS Lithuania branch',
    bankAddress: 'Konstitucijos  Ave. 21A',
    bankShortName: 'Luminor Bank AS Lithuania branch',
    bankPostcode: '03601',
    bankLocation: 'Konstitucijos  Ave. 21A',
  ),
  '21400': Iban(
    bic: 'AGBLLT2X',
    bankName: 'Luminor Bank AS Lithuania branch',
    bankAddress: 'Konstitucijos  Ave. 21A',
    bankShortName: 'Luminor Bank AS Lithuania branch',
    bankPostcode: '03602',
    bankLocation: 'Konstitucijos  Ave. 21A',
  ),
  '34900': Iban(
    bic: 'AMPULT22',
    bankName: 'Ambr Payments UAB',
    bankAddress: 'Konstitucijos  Ave. 7',
    bankShortName: 'Ambr Payments UAB',
    bankPostcode: '09308',
    bankLocation: 'Konstitucijos  Ave. 7',
  ),
  '34200': Iban(
    bic: 'BAXXLT22',
    bankName: 'Banxe, UAB',
    bankAddress: 'Lvovo St 25-104',
    bankShortName: 'Banxe, UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-104',
  ),
  '20900': Iban(
    bic: 'BIGKLT21',
    bankName: 'Bigbank AS Branch',
    bankAddress: 'Jogailos St 4',
    bankShortName: 'Bigbank AS Branch',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 4',
  ),
  '31300': Iban(
    bic: 'BZENLT22',
    bankName: 'UAB ZEN.COM',
    bankAddress: 'Mesiniu St. 5',
    bankShortName: 'UAB ZEN.COM',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St. 5',
  ),
  '34100': Iban(
    bic: 'CBNULT2V',
    bankName: 'CBI Money UAB',
    bankAddress: 'Konstitucijos  Ave. 21A',
    bankShortName: 'CBI Money UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos  Ave. 21A',
  ),
  '70500': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Tilzes St 149',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '76348',
    bankLocation: 'Tilzes St 149',
  ),
  '71800': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Tilzes St 149',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '76348',
    bankLocation: 'Tilzes St 149',
  ),
  '71802': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'S.Dariaus ir S.Gireno St 5',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '86135',
    bankLocation: 'S.Dariaus ir S.Gireno St 5',
  ),
  '71803': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Verkiu St 37',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '09109',
    bankLocation: 'Verkiu St 37',
  ),
  '71804': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'J.Basanaviciaus St 9',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '81156',
    bankLocation: 'J.Basanaviciaus St 9',
  ),
  '71805': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Taikos Ave. 66',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '93219',
    bankLocation: 'Taikos Ave. 66',
  ),
  '71806': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Gintaro St 46',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '00133',
    bankLocation: 'Gintaro St 46',
  ),
  '71807': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Lietuvininku St 17',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '99134',
    bankLocation: 'Lietuvininku St 17',
  ),
  '71808': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Laizuvos St 14',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '89213',
    bankLocation: 'Laizuvos St 14',
  ),
  '71809': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Vytauto Ave. 56',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '44237',
    bankLocation: 'Vytauto Ave. 56',
  ),
  '71810': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'J.Basanaviciaus Ave. 3',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '70101',
    bankLocation: 'J.Basanaviciaus Ave. 3',
  ),
  '71811': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Utenio Ave. 22',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '28248',
    bankLocation: 'Utenio Ave. 22',
  ),
  '71812': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'S.Dariaus ir S.Gireno St 1',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '62137',
    bankLocation: 'S.Dariaus ir S.Gireno St 1',
  ),
  '71813': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Vytauto St 76',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '72216',
    bankLocation: 'Vytauto St 76',
  ),
  '71814': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Ausros Ave. 1',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '82123',
    bankLocation: 'Ausros Ave. 1',
  ),
  '71815': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Elektros St 6',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '35183',
    bankLocation: 'Elektros St 6',
  ),
  '71816': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Jaunimo St 3',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '59206',
    bankLocation: 'Jaunimo St 3',
  ),
  '71817': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Respublikos St 6A',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '87130',
    bankLocation: 'Respublikos St 6A',
  ),
  '71818': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Kestucio St 9',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '68308',
    bankLocation: 'Kestucio St 9',
  ),
  '71819': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'M.K.Ciurlionio St 111',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '66161',
    bankLocation: 'M.K.Ciurlionio St 111',
  ),
  '71820': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Telsiu St 1-2A',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '90162',
    bankLocation: 'Telsiu St 1-2A',
  ),
  '71821': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'J.Biliuno St 7',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '29113',
    bankLocation: 'J.Biliuno St 7',
  ),
  '71822': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Parko St 7',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '31130',
    bankLocation: 'Parko St 7',
  ),
  '71823': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Basanaviciaus St 47C',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '57283',
    bankLocation: 'Basanaviciaus St 47C',
  ),
  '71824': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Kestucio Ave. 7',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '20114',
    bankLocation: 'Kestucio Ave. 7',
  ),
  '71825': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'J.Janonio Ave. 5',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '41171',
    bankLocation: 'J.Janonio Ave. 5',
  ),
  '71826': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Vasario 16-osios St 7',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '55170',
    bankLocation: 'Vasario 16-osios St 7',
  ),
  '71827': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Seliu  Ave. 16',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '32107',
    bankLocation: 'Seliu  Ave. 16',
  ),
  '71828': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Vytauto St 1',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '42114',
    bankLocation: 'Vytauto St 1',
  ),
  '71829': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Vytauto St 8',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '40115',
    bankLocation: 'Vytauto St 8',
  ),
  '71830': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Dubysos St 2',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '60146',
    bankLocation: 'Dubysos St 2',
  ),
  '71899': Iban(
    bic: 'CBSBLT26',
    bankName: 'AB Siauliu bankas',
    bankAddress: 'Tilzes St 149',
    bankShortName: 'AB Siauliu bankas',
    bankPostcode: '76348',
    bankLocation: 'Tilzes St 149',
  ),
  '70440': Iban(
    bic: 'CBVILT2X',
    bankName: 'AB SEB bankas',
    bankAddress: 'Gedimino Ave. 12',
    bankShortName: 'AB SEB bankas',
    bankPostcode: '01103',
    bankLocation: 'Gedimino Ave. 12',
  ),
  '34700': Iban(
    bic: 'CLUALT22',
    bankName: 'Clearshift, UAB',
    bankAddress: 'Upės St. 23',
    bankShortName: 'Clearshift, UAB',
    bankPostcode: '08128',
    bankLocation: 'Upės St. 23',
  ),
  '37400': Iban(
    bic: 'CNUALT21',
    bankName: 'UAB \'ConnectPay\'',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB \'ConnectPay\'',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '39807': Iban(
    bic: 'CRUBLT22',
    bankName: 'Crius LT, UAB',
    bankAddress: 'Upes St. 23',
    bankShortName: 'Crius LT, UAB',
    bankPostcode: '08128',
    bankLocation: 'Upes St. 23',
  ),
  '51700': Iban(
    bic: 'CRUGLT21',
    bankName: 'Credit union „Saulegraza“',
    bankAddress: 'A. Jaksto St 12',
    bankShortName: 'Credit union „Saulegraza“',
    bankPostcode: '01105',
    bankLocation: 'A. Jaksto St 12',
  ),
  '39804': Iban(
    bic: 'CRVULT21',
    bankName: 'UAB Corporate Services',
    bankAddress: 'Gedimino Ave 20',
    bankShortName: 'UAB Corporate Services',
    bankPostcode: '01103',
    bankLocation: 'Gedimino Ave 20',
  ),
  '90577': Iban(
    bic: 'CSDLLT22577',
    bankName: 'Nasdaq CSD SE Lithuania branch',
    bankAddress: 'Konstitucijos Ave 29',
    bankShortName: 'Nasdaq CSD SE Lithuania branch',
    bankPostcode: '08105',
    bankLocation: 'Konstitucijos Ave 29',
  ),
  '39818': Iban(
    bic: 'DIUALT22',
    bankName: 'UAB DiPocket',
    bankAddress: 'UpesSt 23',
    bankShortName: 'UAB DiPocket',
    bankPostcode: '08128',
    bankLocation: 'UpesSt 23',
  ),
  '39806': Iban(
    bic: 'DMVOLT22',
    bankName: 'Demivolt, UAB',
    bankAddress: 'Jogailos St. 4',
    bankShortName: 'Demivolt, UAB',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St. 4',
  ),
  '32700': Iban(
    bic: 'DSFELT21',
    bankName: 'UAB \'DSBC Financial Europe\'',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB \'DSBC Financial Europe\'',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '37000': Iban(
    bic: 'EMAULT21',
    bankName: 'UAB Elektroniniu mokejimu agentura',
    bankAddress: 'Zveju St 14',
    bankShortName: 'UAB Elektroniniu mokejimu agentura',
    bankPostcode: '09310',
    bankLocation: 'Zveju St 14',
  ),
  '32800': Iban(
    bic: 'EPSULT22',
    bankName: 'Earthport Payment Services UAB',
    bankAddress: 'Lvovo St. 25-104',
    bankShortName: 'Earthport Payment Services UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St. 25-104',
  ),
  '33500': Iban(
    bic: 'EPUALT22',
    bankName: 'UAB \'epayblock\'',
    bankAddress: 'Upes St. 23',
    bankShortName: 'UAB \'epayblock\'',
    bankPostcode: '08128',
    bankLocation: 'Upes St. 23',
  ),
  '71100': Iban(
    bic: 'EUEBLT22',
    bankName: 'European Merchant Bank',
    bankAddress: 'Gedimino Ave. 35',
    bankShortName: 'European Merchant Bank',
    bankPostcode: '01109',
    bankLocation: 'Gedimino Ave. 35',
  ),
  '35000': Iban(
    bic: 'EVIULT2V',
    bankName: ' \'Paysera LT\', UAB',
    bankAddress: 'Pilaites Ave 16',
    bankShortName: ' \'Paysera LT\', UAB',
    bankPostcode: '04352',
    bankLocation: 'Pilaites Ave 16',
  ),
  '22500': Iban(
    bic: 'FJORLT21',
    bankName: 'AB \'Fjord Bank\'',
    bankAddress: 'Konstitucijos Ave 9-101',
    bankShortName: 'AB \'Fjord Bank\'',
    bankPostcode: '09308',
    bankLocation: 'Konstitucijos Ave 9-101',
  ),
  '38500': Iban(
    bic: 'GAUALT21',
    bankName: 'Galperin, UAB',
    bankAddress: 'Jogailos St 9',
    bankShortName: 'Galperin, UAB',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 9',
  ),
  '37200': Iban(
    bic: 'GLPELT21',
    bankName: 'UAB „Glocash Payment“',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB „Glocash Payment“',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '38800': Iban(
    bic: 'GLUALT22',
    bankName: 'GlobalNetint, UAB',
    bankAddress: 'Lvovo St 25–104',
    bankShortName: 'GlobalNetint, UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25–104',
  ),
  '60024': Iban(
    bic: 'GRFNLT21',
    bankName: 'GF bankas, UAB',
    bankAddress: 'Ukmerges St 322',
    bankShortName: 'GF bankas, UAB',
    bankPostcode: '12106',
    bankLocation: 'Ukmerges St 322',
  ),
  '34000': Iban(
    bic: 'GUPULT22',
    bankName: 'UAB Guru Pay',
    bankAddress: 'Kalvariju St 125',
    bankShortName: 'UAB Guru Pay',
    bankPostcode: '08221',
    bankLocation: 'Kalvariju St 125',
  ),
  '73000': Iban(
    bic: 'HABALT22',
    bankName: ' \'Swedbank\', AB',
    bankAddress: 'Konstitucijos Ave. 20A',
    bankShortName: ' \'Swedbank\', AB',
    bankPostcode: '03502',
    bankLocation: 'Konstitucijos Ave. 20A',
  ),
  '21200': Iban(
    bic: 'HANDLT2X',
    bankName: 'Svenska Handelsbanken AB Lithuania branch',
    bankAddress: 'Gyneju St 16',
    bankShortName: 'Svenska Handelsbanken AB Lithuania branch',
    bankPostcode: '01109',
    bankLocation: 'Gyneju St 16',
  ),
  '39100': Iban(
    bic: 'IBIULT21',
    bankName: 'UAB  \'IBS Lithuania \'',
    bankAddress: 'Konstitucijos Ave. 15-69A',
    bankShortName: 'UAB  \'IBS Lithuania \'',
    bankPostcode: '09319',
    bankLocation: 'Konstitucijos Ave. 15-69A',
  ),
  '72900': Iban(
    bic: 'INDULT2X',
    bankName: 'AB \'Citadele\' bankas',
    bankAddress: 'K.Kalinausko St 13',
    bankShortName: 'AB \'Citadele\' bankas',
    bankPostcode: '03107',
    bankLocation: 'K.Kalinausko St 13',
  ),
  '36400': Iban(
    bic: 'INHULT21',
    bankName: 'UAB International Fintech',
    bankAddress: 'Jogailos St 4',
    bankShortName: 'UAB International Fintech',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 4',
  ),
  '50200': Iban(
    bic: 'JCKULT21',
    bankName: 'Jungtine centrine kredito unija',
    bankAddress: 'J.Jasinskio St 12',
    bankShortName: 'Jungtine centrine kredito unija',
    bankPostcode: '01112',
    bankLocation: 'J.Jasinskio St 12',
  ),
  '50109': Iban(
    bic: 'JCKULT21',
    bankName: 'Akademine credit union',
    bankAddress: 'Mickeviciaus St 15-2',
    bankShortName: 'Akademine credit union',
    bankPostcode: '44310',
    bankLocation: 'Mickeviciaus St 15-2',
  ),
  '50114': Iban(
    bic: 'JCKULT21',
    bankName: 'Credit union \'Kupiskenu taupa\'',
    bankAddress: 'Vytauto St 9-2',
    bankShortName: 'Credit union \'Kupiskenu taupa\'',
    bankPostcode: '40115',
    bankLocation: 'Vytauto St 9-2',
  ),
  '50117': Iban(
    bic: 'JCKULT21',
    bankName: 'Credit union Zanavyku bankelis',
    bankAddress: 'Baznycios St 11',
    bankShortName: 'Credit union Zanavyku bankelis',
    bankPostcode: '71122',
    bankLocation: 'Baznycios St 11',
  ),
  '50121': Iban(
    bic: 'JCKULT21',
    bankName: 'Aukstaitijos credit union',
    bankAddress: 'Nemuno St 73',
    bankShortName: 'Aukstaitijos credit union',
    bankPostcode: '37356',
    bankLocation: 'Nemuno St 73',
  ),
  '50126': Iban(
    bic: 'JCKULT21',
    bankName: 'Birzu credit union',
    bankAddress: 'J. Janonio St 2',
    bankShortName: 'Birzu credit union',
    bankPostcode: '41148',
    bankLocation: 'J. Janonio St 2',
  ),
  '50129': Iban(
    bic: 'JCKULT21',
    bankName: 'Silales credit union',
    bankAddress: 'Basanavičiaus St 13',
    bankShortName: 'Silales credit union',
    bankPostcode: '75138',
    bankLocation: 'Basanavičiaus St 13',
  ),
  '50139': Iban(
    bic: 'JCKULT21',
    bankName: 'Raseiniu credit union',
    bankAddress: 'Maironio St 10',
    bankShortName: 'Raseiniu credit union',
    bankPostcode: '60151',
    bankLocation: 'Maironio St 10',
  ),
  '50144': Iban(
    bic: 'JCKULT21',
    bankName: 'Ignalinos credit union',
    bankAddress: 'Ateities St 25-3',
    bankShortName: 'Ignalinos credit union',
    bankPostcode: '30121',
    bankLocation: 'Ateities St 25-3',
  ),
  '50147': Iban(
    bic: 'JCKULT21',
    bankName: 'Joniskio credit union',
    bankAddress: 'Miesto Sq 4',
    bankShortName: 'Joniskio credit union',
    bankPostcode: '84148',
    bankLocation: 'Miesto Sq 4',
  ),
  '50162': Iban(
    bic: 'JCKULT21',
    bankName: 'Pareigunu credit union',
    bankAddress: ' Birzelio 23-osios St 15',
    bankShortName: 'Pareigunu credit union',
    bankPostcode: '03206',
    bankLocation: ' Birzelio 23-osios St 15',
  ),
  '50164': Iban(
    bic: 'JCKULT21',
    bankName: 'Gyventoju ir smulkaus verslo credit union',
    bankAddress: 'Taikos Ave. 21B',
    bankShortName: 'Gyventoju ir smulkaus verslo credit union',
    bankPostcode: '50210',
    bankLocation: 'Taikos Ave. 21B',
  ),
  '50500': Iban(
    bic: 'KRUALT21',
    bankName: 'Credit union \'Taupa\'',
    bankAddress: 'Kalvariju St 140',
    bankShortName: 'Credit union \'Taupa\'',
    bankPostcode: '08209',
    bankLocation: 'Kalvariju St 140',
  ),
  '32900': Iban(
    bic: 'KUFULT22',
    bankName: 'Kuan Financial, UAB',
    bankAddress: 'Gedimino Ave 44A',
    bankShortName: 'Kuan Financial, UAB',
    bankPostcode: '01110',
    bankLocation: 'Gedimino Ave 44A',
  ),
  '51400': Iban(
    bic: 'KUPRLT21',
    bankName: 'Credit union \'Magnus\'',
    bankAddress: 'Vilniaus St 25A',
    bankShortName: 'Credit union \'Magnus\'',
    bankPostcode: '36100',
    bankLocation: 'Vilniaus St 25A',
  ),
  '50300': Iban(
    bic: 'KUSRLT21',
    bankName: 'AB \'Mano bankas\'',
    bankAddress: 'S. Moniuskos St 27',
    bankShortName: 'AB \'Mano bankas\'',
    bankPostcode: '08115',
    bankLocation: 'S. Moniuskos St 27',
  ),
  '50301': Iban(
    bic: 'KUSRLT24',
    bankName: 'AB \'Mano bankas\'',
    bankAddress: 'S. Moniuskos St 27',
    bankShortName: 'AB \'Mano bankas\'',
    bankPostcode: '08115',
    bankLocation: 'S. Moniuskos St 27',
  ),
  '50100': Iban(
    bic: 'LCKULT22',
    bankName: 'Lithuanian Central Credit Union',
    bankAddress: 'Savanoriu Ave. 363',
    bankShortName: 'Lithuanian Central Credit Union',
    bankPostcode: '49425',
    bankLocation: 'Savanoriu Ave. 363',
  ),
  '50101': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Suduvos parama\'',
    bankAddress: 'Vytauto St 19',
    bankShortName: 'Credit union \'Suduvos parama\'',
    bankPostcode: '68300',
    bankLocation: 'Vytauto St 19',
  ),
  '50102': Iban(
    bic: 'LCKULT22',
    bankName: 'Silutes credit union',
    bankAddress: 'Lietuvininku St 32/Kestucio St 1',
    bankShortName: 'Silutes credit union',
    bankPostcode: '99179',
    bankLocation: 'Lietuvininku St 32/Kestucio St 1',
  ),
  '50104': Iban(
    bic: 'LCKULT22',
    bankName: 'Vilkaviskio credit union',
    bankAddress: 'Statybininku St 9',
    bankShortName: 'Vilkaviskio credit union',
    bankPostcode: '70187',
    bankLocation: 'Statybininku St 9',
  ),
  '50105': Iban(
    bic: 'LCKULT22',
    bankName: 'Plunges credit union',
    bankAddress: 'Senamiescio Ave 5',
    bankShortName: 'Plunges credit union',
    bankPostcode: '90162',
    bankLocation: 'Senamiescio Ave 5',
  ),
  '50106': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Ebitum\'',
    bankAddress: 'Tilzes St 128',
    bankShortName: 'Credit union \'Ebitum\'',
    bankPostcode: '77160',
    bankLocation: 'Tilzes St 128',
  ),
  '50108': Iban(
    bic: 'LCKULT22',
    bankName: 'ARKU kredito unija',
    bankAddress: 'Jonavos St 30',
    bankShortName: 'ARKU kredito unija',
    bankPostcode: '44262',
    bankLocation: 'Jonavos St 30',
  ),
  '50110': Iban(
    bic: 'LCKULT22',
    bankName: 'Panevezio credit union',
    bankAddress: 'Topoliu Ave. 17',
    bankShortName: 'Panevezio credit union',
    bankPostcode: '35169',
    bankLocation: 'Topoliu Ave. 17',
  ),
  '50111': Iban(
    bic: 'LCKULT22',
    bankName: 'Centro credit union',
    bankAddress: 'M.K.Ciurlionio St 29',
    bankShortName: 'Centro credit union',
    bankPostcode: '44356',
    bankLocation: 'M.K.Ciurlionio St 29',
  ),
  '50112': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Tikroji viltis\'',
    bankAddress: 'L.Petraviciaus Ave. 4A',
    bankShortName: 'Credit union \'Tikroji viltis\'',
    bankPostcode: '85132',
    bankLocation: 'L.Petraviciaus Ave. 4A',
  ),
  '50113': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Germanto lobis\'',
    bankAddress: 'Sedos St 6',
    bankShortName: 'Credit union \'Germanto lobis\'',
    bankPostcode: '87112',
    bankLocation: 'Sedos St 6',
  ),
  '50115': Iban(
    bic: 'LCKULT22',
    bankName: 'Sirvintu credit union',
    bankAddress: 'Vilniaus St 50',
    bankShortName: 'Sirvintu credit union',
    bankPostcode: '19118',
    bankLocation: 'Vilniaus St 50',
  ),
  '50118': Iban(
    bic: 'LCKULT22',
    bankName: 'Vytauto Dodziojo credit union',
    bankAddress: 'Birutes St 4-2',
    bankShortName: 'Vytauto Dodziojo credit union',
    bankPostcode: '56124',
    bankLocation: 'Birutes St 4-2',
  ),
  '50119': Iban(
    bic: 'LCKULT22',
    bankName: 'Pakruojo ukininku credit union',
    bankAddress: 'Vytauto Didziojo St 47-3',
    bankShortName: 'Pakruojo ukininku credit union',
    bankPostcode: '83157',
    bankLocation: 'Vytauto Didziojo St 47-3',
  ),
  '50120': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Vievio taupa\'',
    bankAddress: 'Draugystes St 19-44',
    bankShortName: 'Credit union \'Vievio taupa\'',
    bankPostcode: '26117',
    bankLocation: 'Draugystes St 19-44',
  ),
  '50122': Iban(
    bic: 'LCKULT22',
    bankName: 'Kelmes credit union',
    bankAddress: 'S. Dariaus ir S. Gireno St 21A',
    bankShortName: 'Kelmes credit union',
    bankPostcode: '86126',
    bankLocation: 'S. Dariaus ir S. Gireno St 21A',
  ),
  '50123': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Prienu taupa\'',
    bankAddress: 'Vytauto St 1A',
    bankShortName: 'Credit union \'Prienu taupa\'',
    bankPostcode: '59114',
    bankLocation: 'Vytauto St 1A',
  ),
  '50124': Iban(
    bic: 'LCKULT22',
    bankName: 'Pasvalio credit union',
    bankAddress: 'Vytauto Didziojo Ave. 6/1',
    bankShortName: 'Pasvalio credit union',
    bankPostcode: '39143',
    bankLocation: 'Vytauto Didziojo Ave. 6/1',
  ),
  '50125': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'DELTA\'',
    bankAddress: 'Parodos St 1-3',
    bankShortName: 'Credit union \'DELTA\'',
    bankPostcode: '44214',
    bankLocation: 'Parodos St 1-3',
  ),
  '50127': Iban(
    bic: 'LCKULT22',
    bankName: 'Kauno credit union',
    bankAddress: 'K.Donelaicio St 62-301',
    bankShortName: 'Kauno credit union',
    bankPostcode: '44248',
    bankLocation: 'K.Donelaicio St 62-301',
  ),
  '50128': Iban(
    bic: 'LCKULT22',
    bankName: 'Taurages credit union',
    bankAddress: 'S.Dariaus ir S.Gireno St 28',
    bankShortName: 'Taurages credit union',
    bankPostcode: '72250',
    bankLocation: 'S.Dariaus ir S.Gireno St 28',
  ),
  '50130': Iban(
    bic: 'LCKULT22',
    bankName: 'Anyksciu credit union',
    bankAddress: 'S.Dariaus ir S. Gireno St. 5-51',
    bankShortName: 'Anyksciu credit union',
    bankPostcode: '29116',
    bankLocation: 'S.Dariaus ir S. Gireno St. 5-51',
  ),
  '50131': Iban(
    bic: 'LCKULT22',
    bankName: '\'Achemos\' credit union',
    bankAddress: 'Jonalaukis',
    bankShortName: '\'Achemos\' credit union',
    bankPostcode: '55296',
    bankLocation: 'Jonalaukis',
  ),
  '50132': Iban(
    bic: 'LCKULT22',
    bankName: 'Jonavos credit union',
    bankAddress: 'Kauno St 6',
    bankShortName: 'Jonavos credit union',
    bankPostcode: '55176',
    bankLocation: 'Kauno St 6',
  ),
  '50133': Iban(
    bic: 'LCKULT22',
    bankName: 'Jurbarko credit union',
    bankAddress: 'S.Dariaus ir S.Gireno St 55-18',
    bankShortName: 'Jurbarko credit union',
    bankPostcode: '74183',
    bankLocation: 'S.Dariaus ir S.Gireno St 55-18',
  ),
  '50134': Iban(
    bic: 'LCKULT22',
    bankName: 'Ukmerges Ukininku credit union',
    bankAddress: 'Kauno St 16A',
    bankShortName: 'Ukmerges Ukininku credit union',
    bankPostcode: '20114',
    bankLocation: 'Kauno St 16A',
  ),
  '50135': Iban(
    bic: 'LCKULT22',
    bankName: 'Kauno District credit union',
    bankAddress: 'Cekiskes St 98',
    bankShortName: 'Kauno District credit union',
    bankPostcode: '54221',
    bankLocation: 'Cekiskes St 98',
  ),
  '50136': Iban(
    bic: 'LCKULT22',
    bankName: 'Palangos credit union',
    bankAddress: 'Ganyklu St 6',
    bankShortName: 'Palangos credit union',
    bankPostcode: '00127',
    bankLocation: 'Ganyklu St 6',
  ),
  '50138': Iban(
    bic: 'LCKULT22',
    bankName: 'Kretingos credit union',
    bankAddress: 'J.K.Chodkeviciaus St 10',
    bankShortName: 'Kretingos credit union',
    bankPostcode: '97130',
    bankLocation: 'J.K.Chodkeviciaus St 10',
  ),
  '50140': Iban(
    bic: 'LCKULT22',
    bankName: 'Pagegiu credit union',
    bankAddress: 'Vilniaus St 36',
    bankShortName: 'Pagegiu credit union',
    bankPostcode: '99293',
    bankLocation: 'Vilniaus St 36',
  ),
  '50142': Iban(
    bic: 'LCKULT22',
    bankName: 'Grinkiskio credit union',
    bankAddress: 'Tilto St. 43',
    bankShortName: 'Grinkiskio credit union',
    bankPostcode: '82388',
    bankLocation: 'Tilto St. 43',
  ),
  '50145': Iban(
    bic: 'LCKULT22',
    bankName: 'Utenos credit union',
    bankAddress: 'Ausros St 34-3',
    bankShortName: 'Utenos credit union',
    bankPostcode: '28146',
    bankLocation: 'Ausros St 34-3',
  ),
  '50146': Iban(
    bic: 'LCKULT22',
    bankName: 'Mazeikiu credit union',
    bankAddress: 'Vilniaus St 2',
    bankShortName: 'Mazeikiu credit union',
    bankPostcode: '89217',
    bankLocation: 'Vilniaus St 2',
  ),
  '50149': Iban(
    bic: 'LCKULT22',
    bankName: 'Druskininku credit union',
    bankAddress: 'M. K. Ciurlionio St. 111',
    bankShortName: 'Druskininku credit union',
    bankPostcode: '66161',
    bankLocation: 'M. K. Ciurlionio St. 111',
  ),
  '50151': Iban(
    bic: 'LCKULT22',
    bankName: 'Traku credit union',
    bankAddress: 'Vytauto St 2',
    bankShortName: 'Traku credit union',
    bankPostcode: '10105',
    bankLocation: 'Vytauto St 2',
  ),
  '50152': Iban(
    bic: 'LCKULT22',
    bankName: 'Alytaus credit union',
    bankAddress: 'Dariaus ir Gireno St 4A-3',
    bankShortName: 'Alytaus credit union',
    bankPostcode: '62137',
    bankLocation: 'Dariaus ir Gireno St 4A-3',
  ),
  '50153': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Gargzdu taupa\'',
    bankAddress: 'Kvietiniu St 11-6',
    bankShortName: 'Credit union \'Gargzdu taupa\'',
    bankPostcode: '96135',
    bankLocation: 'Kvietiniu St 11-6',
  ),
  '50154': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Memelio taupomoji kasa\'',
    bankAddress: 'Minijos St 127-2',
    bankShortName: 'Credit union \'Memelio taupomoji kasa\'',
    bankPostcode: '93213',
    bankLocation: 'Minijos St 127-2',
  ),
  '50156': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Fortuna\'',
    bankAddress: 'Kovo 11-osios St 34-33',
    bankShortName: 'Credit union \'Fortuna\'',
    bankPostcode: '27112',
    bankLocation: 'Kovo 11-osios St 34-33',
  ),
  '50159': Iban(
    bic: 'LCKULT22',
    bankName: 'Kedainiu krasto credit union',
    bankAddress: 'Josvainiu St 36',
    bankShortName: 'Kedainiu krasto credit union',
    bankPostcode: '57275',
    bankLocation: 'Josvainiu St 36',
  ),
  '50163': Iban(
    bic: 'LCKULT22',
    bankName: 'Klaipedos credit union',
    bankAddress: 'Rutu St 4',
    bankShortName: 'Klaipedos credit union',
    bankPostcode: '91208',
    bankLocation: 'Rutu St 4',
  ),
  '50165': Iban(
    bic: 'LCKULT22',
    bankName: 'Seimos  credit union',
    bankAddress: 'Konstitucijos Ave. 12',
    bankShortName: 'Seimos  credit union',
    bankPostcode: '09308',
    bankLocation: 'Konstitucijos Ave. 12',
  ),
  '50166': Iban(
    bic: 'LCKULT22',
    bankName: ' Credit union \'Neris\'',
    bankAddress: 'Jogailos St 4',
    bankShortName: ' Credit union \'Neris\'',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 4',
  ),
  '50167': Iban(
    bic: 'LCKULT22',
    bankName: 'Vilniaus credit union',
    bankAddress: 'T. Narbuto St 5-1',
    bankShortName: 'Vilniaus credit union',
    bankPostcode: '08105',
    bankLocation: 'T. Narbuto St 5-1',
  ),
  '50168': Iban(
    bic: 'LCKULT22',
    bankName: 'Credit union \'Magnus\'',
    bankAddress: 'Konstitucijos Ave. 15',
    bankShortName: 'Credit union \'Magnus\'',
    bankPostcode: '09319',
    bankLocation: 'Konstitucijos Ave. 15',
  ),
  '10100': Iban(
    bic: 'LIABLT2X',
    bankName: 'Bank of Lithuania',
    bankAddress: 'Gedimino Ave. 6',
    bankShortName: 'Bank of Lithuania',
    bankPostcode: '01103',
    bankLocation: 'Gedimino Ave. 6',
  ),
  '10101': Iban(
    bic: 'LIABLT2X',
    bankName: 'Bank of Lithuania',
    bankAddress: 'Maironio St 25',
    bankShortName: 'Bank of Lithuania',
    bankPostcode: '44250',
    bankLocation: 'Maironio St 25',
  ),
  '10110': Iban(
    bic: 'LIABLT2X',
    bankName: 'Bank of Lithuania',
    bankAddress: 'Totoriu St 4',
    bankShortName: 'Bank of Lithuania',
    bankPostcode: '01121',
    bankLocation: 'Totoriu St 4',
  ),
  '10900': Iban(
    bic: 'LIABLT2X',
    bankName: 'Bank of Lithuania',
    bankAddress: 'Totoriu St 4',
    bankShortName: 'Bank of Lithuania',
    bankPostcode: '01121',
    bankLocation: 'Totoriu St 4',
  ),
  '51500': Iban(
    bic: 'LTKULT21',
    bankName: 'LTL  credit union',
    bankAddress: 'Sporto St.18',
    bankShortName: 'LTL  credit union',
    bankPostcode: '09238',
    bankLocation: 'Sporto St.18',
  ),
  '37300': Iban(
    bic: 'MAABLT21',
    bankName: 'Majestic Financial, UAB',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'Majestic Financial, UAB',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '72300': Iban(
    bic: 'MDBALT22',
    bankName: 'UAB Medicinos bankas',
    bankAddress: 'Pamenkalnio St 40',
    bankShortName: 'UAB Medicinos bankas',
    bankPostcode: '01114',
    bankLocation: 'Pamenkalnio St 40',
  ),
  '35100': Iban(
    bic: 'MIEGLT21',
    bankName: '„Secure Nordic Payments“ UAB',
    bankAddress: 'Perkunkiemio St 2',
    bankShortName: '„Secure Nordic Payments“ UAB',
    bankPostcode: '12126',
    bankLocation: 'Perkunkiemio St 2',
  ),
  '31100': Iban(
    bic: 'MNNELT21',
    bankName: 'Maneuver LT, UAB',
    bankAddress: 'Zalgirio St. 88',
    bankShortName: 'Maneuver LT, UAB',
    bankPostcode: '09303',
    bankLocation: 'Zalgirio St. 88',
  ),
  '35800': Iban(
    bic: 'MOIULT21',
    bankName: 'Bruc Bond, UAB',
    bankAddress: 'Jogailos St 4',
    bankShortName: 'Bruc Bond, UAB',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 4',
  ),
  '30500': Iban(
    bic: 'MOTOLT21',
    bankName: 'Foxpay, UAB',
    bankAddress: 'Eigulių St 14',
    bankShortName: 'Foxpay, UAB',
    bankPostcode: '03150',
    bankLocation: 'Eigulių St 14',
  ),
  '21700': Iban(
    bic: 'MULTLT2X',
    bankName: 'AS \'Industra Bank\' Lietuvos Branch',
    bankAddress: 'Kestucio St 51',
    bankShortName: 'AS \'Industra Bank\' Lietuvos Branch',
    bankPostcode: '08124',
    bankLocation: 'Kestucio St 51',
  ),
  '30800': Iban(
    bic: 'NEUALT21',
    bankName: 'NexPay UAB',
    bankAddress: 'Kestucio St 91-11',
    bankShortName: 'NexPay UAB',
    bankPostcode: '44299',
    bankLocation: 'Kestucio St 91-11',
  ),
  '34600': Iban(
    bic: 'NIKULT22',
    bankName: 'Nikulipe UAB',
    bankAddress: 'Konstitucijos Ave 21B',
    bankShortName: 'Nikulipe UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos Ave 21B',
  ),
  '39805': Iban(
    bic: 'OKEOLT22',
    bankName: 'Okeo Payments UAB',
    bankAddress: 'Gedimino Ave 20',
    bankShortName: 'Okeo Payments UAB',
    bankPostcode: '01103',
    bankLocation: 'Gedimino Ave 20',
  ),
  '21500': Iban(
    bic: 'OKOYLT2X',
    bankName: '„OP Corporate Bank plc\' Lietuvos Branch',
    bankAddress: 'Konstitucijos Ave 7',
    bankShortName: '„OP Corporate Bank plc\' Lietuvos Branch',
    bankPostcode: '09308',
    bankLocation: 'Konstitucijos Ave 7',
  ),
  '33800': Iban(
    bic: 'OPTULT22',
    bankName: 'Opal Transfer EU, UAB',
    bankAddress: 'Konstitucijos Ave 8',
    bankShortName: 'Opal Transfer EU, UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos Ave 8',
  ),
  '38700': Iban(
    bic: 'PAEOLT21',
    bankName: 'UAB \'PanPay Europe\'',
    bankAddress: 'Nidos St 1-80',
    bankShortName: 'UAB \'PanPay Europe\'',
    bankPostcode: '06293',
    bankLocation: 'Nidos St 1-80',
  ),
  '34300': Iban(
    bic: 'PAUALT22',
    bankName: 'UAB Paystra',
    bankAddress: 'Vilniaus St. 31',
    bankShortName: 'UAB Paystra',
    bankPostcode: '01402',
    bankLocation: 'Vilniaus St. 31',
  ),
  '39817': Iban(
    bic: 'PAYHLT22',
    bankName: 'UAB Paywho',
    bankAddress: 'A. Gostauto St. 8-108',
    bankShortName: 'UAB Paywho',
    bankPostcode: '01108',
    bankLocation: 'A. Gostauto St. 8-108',
  ),
  '31400': Iban(
    bic: 'PCTULT21',
    bankName: 'PCS Transfer UAB',
    bankAddress: 'Lvovo St 105A',
    bankShortName: 'PCS Transfer UAB',
    bankPostcode: '08104',
    bankLocation: 'Lvovo St 105A',
  ),
  '30200': Iban(
    bic: 'PEPGLT21',
    bankName: 'Perlas Finance, UAB',
    bankAddress: 'Olimpieciu St. 15-1',
    bankShortName: 'Perlas Finance, UAB',
    bankPostcode: '09237',
    bankLocation: 'Olimpieciu St. 15-1',
  ),
  '39815': Iban(
    bic: 'PMNTLT2V',
    bankName: 'PAYMONT, UAB',
    bankAddress: 'Gynėjų g. 14-65',
    bankShortName: 'PAYMONT, UAB',
    bankPostcode: '01109',
    bankLocation: 'Gynėjų g. 14-65',
  ),
  '22600': Iban(
    bic: 'PYYRLT22',
    bankName: 'PayRay, UAB',
    bankAddress: 'Lvovo St 25-702',
    bankShortName: 'PayRay, UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-702',
  ),
  '70700': Iban(
    bic: 'RETBLT21',
    bankName: 'Revolut Bank, UAB',
    bankAddress: 'Konstitucijos ave 21B',
    bankShortName: 'Revolut Bank, UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos ave 21B',
  ),
  '39200': Iban(
    bic: 'REVOGB21',
    bankName: 'Revolut Limited',
    bankAddress: 'Level 39, 1 Canada Square',
    bankShortName: 'Revolut Limited',
    bankPostcode: 'E14 5AB',
    bankLocation: 'Level 39, 1 Canada Square',
  ),
  '32500': Iban(
    bic: 'REVOLT21',
    bankName: 'Revolut Bank, UAB',
    bankAddress: 'Konstitucijos ave 21B',
    bankShortName: 'Revolut Bank, UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos ave 21B',
  ),
  '39814': Iban(
    bic: 'RILALT22',
    bankName: 'RIA Lithuania UAB',
    bankAddress: 'Upės St. 23',
    bankShortName: 'RIA Lithuania UAB',
    bankPostcode: '08128',
    bankLocation: 'Upės St. 23',
  ),
  '70701': Iban(
    bic: 'RVUALT2V',
    bankName: 'Revolut Bank, UAB',
    bankAddress: 'Konstitucijos ave 21B',
    bankShortName: 'Revolut Bank, UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos ave 21B',
  ),
  '37101': Iban(
    bic: 'SEEOLT21',
    bankName: 'UAB  \'Seven Seas Europe\'',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB  \'Seven Seas Europe\'',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '37100': Iban(
    bic: 'SESOLT21',
    bankName: 'UAB  \'Seven Seas Europe\'',
    bankAddress: 'Olimpieciu St. 1-5',
    bankShortName: 'UAB  \'Seven Seas Europe\'',
    bankPostcode: '09235',
    bankLocation: 'Olimpieciu St. 1-5',
  ),
  '31700': Iban(
    bic: 'SHFRLT21',
    bankName: 'UAB  \'Shift Financial Services LT\'',
    bankAddress: 'Jogailos St 9',
    bankShortName: 'UAB  \'Shift Financial Services LT\'',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 9',
  ),
  '74000': Iban(
    bic: 'SMPOLT22',
    bankName: 'Danske Bank A/S Lietuvos Branch',
    bankAddress: 'Saltoniskiu St 2',
    bankShortName: 'Danske Bank A/S Lietuvos Branch',
    bankPostcode: '08500',
    bankLocation: 'Saltoniskiu St 2',
  ),
  '33200': Iban(
    bic: 'SONCLT21',
    bankName: 'UAB \'SONECT Europe\'',
    bankAddress: 'Vokieciu St 28-16',
    bankShortName: 'UAB \'SONECT Europe\'',
    bankPostcode: '01130',
    bankLocation: 'Vokieciu St 28-16',
  ),
  '91002': Iban(
    bic: 'STEKLT21',
    bankName: 'Macte Invest FM AB',
    bankAddress: 'Gedimino Ave 20',
    bankShortName: 'Macte Invest FM AB',
    bankPostcode: '01103',
    bankLocation: 'Gedimino Ave 20',
  ),
  '30600': Iban(
    bic: 'STUALT21',
    bankName: 'SatchelPay, UAB',
    bankAddress: 'Jogailos St. 4',
    bankShortName: 'SatchelPay, UAB',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St. 4',
  ),
  '33700': Iban(
    bic: 'SUPULT22',
    bankName: 'SumUp EU Payments, UAB',
    bankAddress: 'Upes St 23',
    bankShortName: 'SumUp EU Payments, UAB',
    bankPostcode: '08128',
    bankLocation: 'Upes St 23',
  ),
  '31801': Iban(
    bic: 'TBFULT31',
    bankName: 'TBF Finance, UAB',
    bankAddress: 'Konstitucijos Ave 21A',
    bankShortName: 'TBF Finance, UAB',
    bankPostcode: '08130',
    bankLocation: 'Konstitucijos Ave 21A',
  ),
  '31800': Iban(
    bic: 'TBFULT21',
    bankName: 'TBF Finance, UAB',
    bankAddress: 'Konstitucijos Ave 21A',
    bankShortName: 'TBF Finance, UAB',
    bankPostcode: '08131',
    bankLocation: 'Konstitucijos Ave 21A',
  ),
  '31900': Iban(
    bic: 'TEUALT22',
    bankName: 'TeslaPay, UAB',
    bankAddress: 'Dariaus ir Gireno St. 42A',
    bankShortName: 'TeslaPay, UAB',
    bankPostcode: '02189',
    bankLocation: 'Dariaus ir Gireno St. 42A',
  ),
  '36900': Iban(
    bic: 'TRFBLT21',
    bankName: 'TRUSTCOM FINANCIAL UAB',
    bankAddress: 'Jogailos St 4, Vilnius',
    bankShortName: 'TRUSTCOM FINANCIAL UAB',
    bankPostcode: '01116',
    bankLocation: 'Jogailos St 4, Vilnius',
  ),
  '32400': Iban(
    bic: 'TRLULT21',
    bankName: 'TransferGo Lithuania UAB',
    bankAddress: 'Palangos St 4, 4-th floor',
    bankShortName: 'TransferGo Lithuania UAB',
    bankPostcode: '01402',
    bankLocation: 'Palangos St 4, 4-th floor',
  ),
  '37800': Iban(
    bic: 'TRYULT21',
    bankName: 'Transactive Systems UAB',
    bankAddress: 'Jogailos St 9',
    bankShortName: 'Transactive Systems UAB',
    bankPostcode: '01103',
    bankLocation: 'Jogailos St 9',
  ),
  '39810': Iban(
    bic: 'UAAALT22',
    bankName: 'UAB \'H Pay & Go\'',
    bankAddress: 'Gyneju str. 4-333',
    bankShortName: 'UAB \'H Pay & Go\'',
    bankPostcode: '01109',
    bankLocation: 'Gyneju str. 4-333',
  ),
  '35400': Iban(
    bic: 'UAAMLT21',
    bankName: 'UAB „Argentum mobile“',
    bankAddress: 'Tuskulėnų g. 39',
    bankShortName: 'UAB „Argentum mobile“',
    bankPostcode: '09219',
    bankLocation: 'Tuskulėnų g. 39',
  ),
  '39802': Iban(
    bic: 'UABELT22',
    bankName: 'Bebawa UAB',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'Bebawa UAB',
    bankPostcode: '01035',
    bankLocation: 'Mesiniu St 5',
  ),
  '31000': Iban(
    bic: 'UACOLT21',
    bankName: 'UAB Contabilita',
    bankAddress: 'A. Vivulskio St 7-5',
    bankShortName: 'UAB Contabilita',
    bankPostcode: '03162',
    bankLocation: 'A. Vivulskio St 7-5',
  ),
  '36600': Iban(
    bic: 'UADELT21',
    bankName: 'UAB “deVere E-Money”',
    bankAddress: 'J. Balcikonio St 9',
    bankShortName: 'UAB “deVere E-Money”',
    bankPostcode: '08314',
    bankLocation: 'J. Balcikonio St 9',
  ),
  '31500': Iban(
    bic: 'UADRLT21',
    bankName: 'UAB \'Drauskaita\'',
    bankAddress: 'Seimyniskiu St. 21',
    bankShortName: 'UAB \'Drauskaita\'',
    bankPostcode: '09236',
    bankLocation: 'Seimyniskiu St. 21',
  ),
  '35900': Iban(
    bic: 'UAINLT21',
    bankName: 'UAB NIUM EU',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB NIUM EU',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '39801': Iban(
    bic: 'UALTLT22',
    bankName: 'UAB Lock Trust',
    bankAddress: 'J. Basanavičiaus St 26',
    bankShortName: 'UAB Lock Trust',
    bankPostcode: '03224',
    bankLocation: 'J. Basanavičiaus St 26',
  ),
  '36000': Iban(
    bic: 'UAMMLT21',
    bankName: 'UAB \'Mobilieji mokejimai\'',
    bankAddress: 'Lvovo St 25-104',
    bankShortName: 'UAB \'Mobilieji mokejimai\'',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-104',
  ),
  '35200': Iban(
    bic: 'UANFLT21',
    bankName: '\'Neo Finance\', UAB',
    bankAddress: 'Verkiu St 25C-1',
    bankShortName: '\'Neo Finance\', UAB',
    bankPostcode: '08223',
    bankLocation: 'Verkiu St 25C-1',
  ),
  '34500': Iban(
    bic: 'UANILT22',
    bankName: 'UAB Nandi Finance',
    bankAddress: 'A.Tumeno St 4',
    bankShortName: 'UAB Nandi Finance',
    bankPostcode: '01109',
    bankLocation: 'A.Tumeno St 4',
  ),
  '39808': Iban(
    bic: 'UANOLT22',
    bankName: '\'NovaPay\', UAB',
    bankAddress: 'Lvovo St 105A',
    bankShortName: '\'NovaPay\', UAB',
    bankPostcode: '08104',
    bankLocation: 'Lvovo St 105A',
  ),
  '39809': Iban(
    bic: 'UAPALT22',
    bankName: 'UAB \'PayrNet\'',
    bankAddress: 'Giruliu St. 20',
    bankShortName: 'UAB \'PayrNet\'',
    bankPostcode: '12123',
    bankLocation: 'Giruliu St. 20',
  ),
  '35500': Iban(
    bic: 'UAPELT21',
    bankName: 'UAB \'Pervesk\'',
    bankAddress: 'Ausros  St 68',
    bankShortName: 'UAB \'Pervesk\'',
    bankPostcode: '76233',
    bankLocation: 'Ausros  St 68',
  ),
  '35501': Iban(
    bic: 'UAPELT21BKO',
    bankName: 'UAB \'Pervesk\'',
    bankAddress: 'Traku St 12',
    bankShortName: 'UAB \'Pervesk\'',
    bankPostcode: '01132',
    bankLocation: 'Traku St 12',
  ),
  '36700': Iban(
    bic: 'UAPLLT21',
    bankName: 'UAB Pyrros Lithuania',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB Pyrros Lithuania',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '32200': Iban(
    bic: 'UAPPLT21',
    bankName: 'UAB Phoenix Payments',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB Phoenix Payments',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '31200': Iban(
    bic: 'UAPULT22',
    bankName: 'UAB Paytend Europe',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB Paytend Europe',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '35300': Iban(
    bic: 'UAPYLT21',
    bankName: 'UAB \'Alternative Payments\'',
    bankAddress: 'Mesiniu St 5',
    bankShortName: 'UAB \'Alternative Payments\'',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St 5',
  ),
  '33300': Iban(
    bic: 'UASILT22',
    bankName: 'UAB \'Silvergate LT\'',
    bankAddress: 'J. Basanaviciaus St 15',
    bankShortName: 'UAB \'Silvergate LT\'',
    bankPostcode: '03108',
    bankLocation: 'J. Basanaviciaus St 15',
  ),
  '73300': Iban(
    bic: 'UASNLT22',
    bankName: 'UAB Saldo Finance',
    bankAddress: 'Zalgirio St. 94-1',
    bankShortName: 'UAB Saldo Finance',
    bankPostcode: '09300',
    bankLocation: 'Zalgirio St. 94-1',
  ),
  '34800': Iban(
    bic: 'UATULT22',
    bankName: 'UAB Travel Union',
    bankAddress: 'Sauletekio St. 17',
    bankShortName: 'UAB Travel Union',
    bankPostcode: '01224',
    bankLocation: 'Sauletekio St. 17',
  ),
  '33400': Iban(
    bic: 'UAUPLT22',
    bankName: 'UAB \'Uplata EU\'',
    bankAddress: 'Zygimanto Liauksmino St 3A-4',
    bankShortName: 'UAB \'Uplata EU\'',
    bankPostcode: '01101',
    bankLocation: 'Zygimanto Liauksmino St 3A-4',
  ),
  '30900': Iban(
    bic: 'UAWALT21',
    bankName: 'UAB \'Walletto\'',
    bankAddress: 'Gostauto St. 8-107',
    bankShortName: 'UAB \'Walletto\'',
    bankPostcode: '01108',
    bankLocation: 'Gostauto St. 8-107',
  ),
  '30901': Iban(
    bic: 'UAWALT22',
    bankName: 'UAB\'Walletto\'',
    bankAddress: 'Gostauto St. 8-108',
    bankShortName: 'UAB\'Walletto\'',
    bankPostcode: '01108',
    bankLocation: 'Gostauto St. 8-108',
  ),
  '39819': Iban(
    bic: 'UDRULT22',
    bankName: 'UAB \'Drusvalas\'',
    bankAddress: 'J. Basanavičiaus St. 24',
    bankShortName: 'UAB \'Drusvalas\'',
    bankPostcode: '03224',
    bankLocation: 'J. Basanavičiaus St. 24',
  ),
  '91001': Iban(
    bic: 'UFOSLT22',
    bankName: 'Orion Securities, UAB FMI',
    bankAddress: 'A. Tumeno St 4',
    bankShortName: 'Orion Securities, UAB FMI',
    bankPostcode: '01109',
    bankLocation: 'A. Tumeno St 4',
  ),
  '39600': Iban(
    bic: 'UFPOLT21',
    bankName: 'Contis Financial Services Ltd',
    bankAddress: 'MenulioSt 11-101',
    bankShortName: 'Contis Financial Services Ltd',
    bankPostcode: '04326',
    bankLocation: 'MenulioSt 11-101',
  ),
  '35600': Iban(
    bic: 'UFUNLT22',
    bankName: 'UAB Finolita Unio',
    bankAddress: 'Lvovo St 25',
    bankShortName: 'UAB Finolita Unio',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25',
  ),
  '32300': Iban(
    bic: 'UIPULT21',
    bankName: 'International Payment Union, UAB',
    bankAddress: 'Mesiniu St. 5',
    bankShortName: 'International Payment Union, UAB',
    bankPostcode: '01133',
    bankLocation: 'Mesiniu St. 5',
  ),
  '38900': Iban(
    bic: 'UNECLT2V',
    bankName: 'UAB \'NEOCARD\'',
    bankAddress: 'Topoliu St. 24A-2, Nemezio k., Vilniaus r.',
    bankShortName: 'UAB \'NEOCARD\'',
    bankPostcode: '13262',
    bankLocation: 'Topoliu St. 24A-2, Nemezio k., Vilniaus r.',
  ),
  '32600': Iban(
    bic: 'URFSLT21',
    bankName: 'Rebellion Fintech Services UAB',
    bankAddress: 'Lvovo St 25-701',
    bankShortName: 'Rebellion Fintech Services UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-701',
  ),
  '74100': Iban(
    bic: 'USDFLT22',
    bankName: 'UAB SME Bank',
    bankAddress: 'Antano Tumeno St. 4-15',
    bankShortName: 'UAB SME Bank',
    bankPostcode: '01109',
    bankLocation: 'Antano Tumeno St. 4-15',
  ),
  '33900': Iban(
    bic: 'USPELT2V',
    bankName: 'UAB Simplex Payment Services',
    bankAddress: 'Antakalnio St 17',
    bankShortName: 'UAB Simplex Payment Services',
    bankPostcode: '10312',
    bankLocation: 'Antakalnio St 17',
  ),
  '39811': Iban(
    bic: 'USTILT2V',
    bankName: 'UAB Stanhope Financial',
    bankAddress: 'Upes St. 23',
    bankShortName: 'UAB Stanhope Financial',
    bankPostcode: '08128',
    bankLocation: 'Upes St. 23',
  ),
  '30700': Iban(
    bic: 'VAUALT21',
    bankName: 'Valyuz, UAB',
    bankAddress: 'Vilniaus St 31/1',
    bankShortName: 'Valyuz, UAB',
    bankPostcode: '08222',
    bankLocation: 'Vilniaus St 31/1',
  ),
  '37500': Iban(
    bic: 'VEPALT21',
    bankName: 'Verified Payments, UAB',
    bankAddress: 'Gedimino ave 20',
    bankShortName: 'Verified Payments, UAB',
    bankPostcode: '01103',
    bankLocation: 'Gedimino ave 20',
  ),
  '37501': Iban(
    bic: 'VEPALT2X',
    bankName: 'Verified Payments, UAB',
    bankAddress: 'Gedimino ave 20',
    bankShortName: 'Verified Payments, UAB',
    bankPostcode: '01103',
    bankLocation: 'Gedimino ave 20',
  ),
  '50800': Iban(
    bic: 'VIKULT21',
    bankName: 'Vilniaus  credit union',
    bankAddress: 'Ulonu St 5',
    bankShortName: 'Vilniaus  credit union',
    bankPostcode: '08240',
    bankLocation: 'Ulonu St 5',
  ),
  '35700': Iban(
    bic: 'VIPULT21',
    bankName: 'Via Payments, UAB',
    bankAddress: 'Vilkpedes St 22',
    bankShortName: 'Via Payments, UAB',
    bankPostcode: '03151',
    bankLocation: 'Vilkpedes St 22',
  ),
  '31600': Iban(
    bic: 'VPLALT21',
    bankName: 'Verse Payments Lithuania UAB',
    bankAddress: 'Vilniaus St 31/1',
    bankShortName: 'Verse Payments Lithuania UAB',
    bankPostcode: '01402',
    bankLocation: 'Vilniaus St 31/1',
  ),
  '51900': Iban(
    bic: 'VRKULT21',
    bankName: 'Rato credit union',
    bankAddress: 'Vilniaus St 9',
    bankShortName: 'Rato credit union',
    bankPostcode: '01102',
    bankLocation: 'Vilniaus St 9',
  ),
  '50160': Iban(
    bic: 'VRKULT21',
    bankName: 'Rato credit union',
    bankAddress: 'Vilniaus St 10',
    bankShortName: 'Rato credit union',
    bankPostcode: '01102',
    bankLocation: 'Vilniaus St 10',
  ),
  '33100': Iban(
    bic: 'VAAALT21',
    bankName: 'ValorPay UAB',
    bankAddress: 'Lvovo St 25-104',
    bankShortName: 'ValorPay UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-104',
  ),
  '39812': Iban(
    bic: 'WIGULT22',
    bankName: 'WITTY GLOBAL, UAB',
    bankAddress: 'Didzioji St. 18',
    bankShortName: 'WITTY GLOBAL, UAB',
    bankPostcode: '01128',
    bankLocation: 'Didzioji St. 18',
  ),
  '32000': Iban(
    bic: 'WAUALT21',
    bankName: 'Wallter UAB',
    bankAddress: 'Lvovo St 25-104',
    bankShortName: 'Wallter UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-104',
  ),
  '33000': Iban(
    bic: 'WIUALT22',
    bankName: 'Wittix, UAB',
    bankAddress: 'Lvovo St 25-104',
    bankShortName: 'Wittix, UAB',
    bankPostcode: '09320',
    bankLocation: 'Lvovo St 25-104',
  ),
};
