part of iban_to_bic;

const Map<String, Iban> _nlBankCodes = <String, Iban>{
  'ABNA': Iban(
    bic: 'ABNANL2A',
    bankName: 'ABN AMRO BANK',
    bankShortName: 'ABN AMRO BANK',
  ),
  'ABNC': Iban(
    bic: 'ABNCNL2A',
    bankName: 'ABN AMRO Clearing Bank N.V.',
    bankShortName: 'ABN AMRO Clearing Bank N.V.',
  ),
  'ADYB': Iban(
    bic: 'ADYBNL2A',
    bankName: 'ADYEN',
    bankShortName: 'ADYEN',
  ),
  'AEGO': Iban(
    bic: 'AEGONL2U',
    bankName: 'AEGON BANK',
    bankShortName: 'AEGON BANK',
  ),
  'ANDL': Iban(
    bic: 'ANDLNL2A',
    bankName: 'ANADOLUBANK',
    bankShortName: 'ANADOLUBANK',
  ),
  'ARBN': Iban(
    bic: 'ARBNNL22',
    bankName: 'ACHMEA BANK',
    bankShortName: 'ACHMEA BANK',
  ),
  'ARSN': Iban(
    bic: 'ARSNNL21',
    bankName: 'ARGENTA SPAARBANK',
    bankShortName: 'ARGENTA SPAARBANK',
  ),
  'ASNB': Iban(
    bic: 'ASNBNL21',
    bankName: 'ASN BANK',
    bankShortName: 'ASN BANK',
  ),
  'ATBA': Iban(
    bic: 'ATBANL2A',
    bankName: 'AMSTERDAM TRADE BANK * status exclusion *',
    bankShortName: 'AMSTERDAM TRADE BANK * status exclusion *',
  ),
  'BARC': Iban(
    bic: 'BARCNL22',
    bankName: 'BARCLAYS BANK',
    bankShortName: 'BARCLAYS BANK',
  ),
  'BCIT': Iban(
    bic: 'BCITNL2A',
    bankName: 'INTESA SANPAOLO',
    bankShortName: 'INTESA SANPAOLO',
  ),
  'BICK': Iban(
    bic: 'BICKNL2A',
    bankName: 'BINCKBANK',
    bankShortName: 'BINCKBANK',
  ),
  'BINK': Iban(
    bic: 'BINKNL21',
    bankName: 'BINCKBANK, PROF',
    bankShortName: 'BINCKBANK, PROF',
  ),
  'BITS': Iban(
    bic: 'BITSNL2A',
    bankName: 'BITSAFE PAYMENTS',
    bankShortName: 'BITSAFE PAYMENTS',
  ),
  'BKCH': Iban(
    bic: 'BKCHNL2R',
    bankName: 'BANK OF CHINA',
    bankShortName: 'BANK OF CHINA',
  ),
  'BKMG': Iban(
    bic: 'BKMGNL2A',
    bankName: 'BANK MENDES GANS',
    bankShortName: 'BANK MENDES GANS',
  ),
  'BLGW': Iban(
    bic: 'BLGWNL21',
    bankName: 'BLG WONEN',
    bankShortName: 'BLG WONEN',
  ),
  'BNDA': Iban(
    bic: 'BNDANL2A',
    bankName: 'BRAND NEW DAY BANK',
    bankShortName: 'BRAND NEW DAY BANK',
  ),
  'BNGH': Iban(
    bic: 'BNGHNL2G',
    bankName: 'BANK NEDERLANDSE GEMEENTEN',
    bankShortName: 'BANK NEDERLANDSE GEMEENTEN',
  ),
  'BNPA': Iban(
    bic: 'BNPANL2A',
    bankName: 'BNP PARIBAS',
    bankShortName: 'BNP PARIBAS',
  ),
  'BOFA': Iban(
    bic: 'BOFANLNX',
    bankName: 'BANK OF AMERICA',
    bankShortName: 'BANK OF AMERICA',
  ),
  'BOFS': Iban(
    bic: 'BOFSNL21002',
    bankName: 'BANK OF SCOTLAND, AMSTERDAM',
    bankShortName: 'BANK OF SCOTLAND, AMSTERDAM',
  ),
  'BOTK': Iban(
    bic: 'BOTKNL2X',
    bankName: 'MUFG BANK',
    bankShortName: 'MUFG BANK',
  ),
  'BUNQ': Iban(
    bic: 'BUNQNL2A',
    bankName: 'BUNQ',
    bankShortName: 'BUNQ',
  ),
  'CHAS': Iban(
    bic: 'CHASNL2X',
    bankName: 'JPMORGAN CHASE',
    bankShortName: 'JPMORGAN CHASE',
  ),
  'CITC': Iban(
    bic: 'CITCNL2A',
    bankName: 'CITCO BANK',
    bankShortName: 'CITCO BANK',
  ),
  'CITI': Iban(
    bic: 'CITINL2X',
    bankName: 'CITIBANK INTERNATIONAL',
    bankShortName: 'CITIBANK INTERNATIONAL',
  ),
  'COBA': Iban(
    bic: 'COBANL2X',
    bankName: 'COMMERZBANK',
    bankShortName: 'COMMERZBANK',
  ),
  'CCBV': Iban(
    bic: 'CCBVNL2A',
    bankName: 'Currencycloud B.V.',
    bankShortName: 'Currencycloud B.V.',
  ),
  'DELE': Iban(
    bic: 'DELENL22',
    bankName: 'OYENS & VAN EEGHEN - part of Delen Private Bank',
    bankShortName: 'OYENS & VAN EEGHEN - part of Delen Private Bank',
  ),
  'DEUT': Iban(
    bic: 'DEUTNL2A',
    bankName: 'DEUTSCHE BANK (bij alle SEPA-transacties)',
    bankShortName: 'DEUTSCHE BANK (bij alle SEPA-transacties)',
  ),
  'DHBN': Iban(
    bic: 'DHBNNL2R',
    bankName: 'DEMIR-HALK BANK',
    bankShortName: 'DEMIR-HALK BANK',
  ),
  'DLBK': Iban(
    bic: 'DLBKNL2A',
    bankName: 'DELTA LLOYD BANK',
    bankShortName: 'DELTA LLOYD BANK',
  ),
  'DNIB': Iban(
    bic: 'DNIBNL2G',
    bankName: 'NIBC',
    bankShortName: 'NIBC',
  ),
  'EBPB': Iban(
    bic: 'EBPBNL22',
    bankName: 'EBURY NETHERLANDS (Brussel entiteit)',
    bankShortName: 'EBURY NETHERLANDS (Brussel entiteit)',
  ),
  'EBUR': Iban(
    bic: 'EBURNL21',
    bankName: 'EBURY NETHERLANDS (Londen entiteit)',
    bankShortName: 'EBURY NETHERLANDS (Londen entiteit)',
  ),
  'FBHL': Iban(
    bic: 'FBHLNL2A',
    bankName: 'CREDIT EUROPE BANK',
    bankShortName: 'CREDIT EUROPE BANK',
  ),
  'FLOR': Iban(
    bic: 'FLORNL2A',
    bankName: 'DE NEDERLANDSCHE BANK',
    bankShortName: 'DE NEDERLANDSCHE BANK',
  ),
  'FNOM': Iban(
    bic: 'FNOMNL22',
    bankName: 'FINOM Payments B.V.',
    bankShortName: 'FINOM Payments B.V.',
  ),
  'FRNX': Iban(
    bic: 'FRNXNL2A',
    bankName: 'FRANX',
    bankShortName: 'FRANX',
  ),
  'FVLB': Iban(
    bic: 'FVLBNL22',
    bankName: 'VAN LANSCHOT',
    bankShortName: 'VAN LANSCHOT',
  ),
  'FXBB': Iban(
    bic: 'FXBBNL22',
    bankName: 'IBANFIRST',
    bankShortName: 'IBANFIRST',
  ),
  'GILL': Iban(
    bic: 'GILLNL2A',
    bankName: 'INSINGERGILISSEN',
    bankShortName: 'INSINGERGILISSEN',
  ),
  'HAND': Iban(
    bic: 'HANDNL2A',
    bankName: 'SVENSKA HANDELSBANKEN',
    bankShortName: 'SVENSKA HANDELSBANKEN',
  ),
  'HHBA': Iban(
    bic: 'HHBANL22',
    bankName: 'HOF HOORNEMAN BANKIERS',
    bankShortName: 'HOF HOORNEMAN BANKIERS',
  ),
  'HIFX': Iban(
    bic: 'HIFXNL2A',
    bankName: 'Xe Europe BV',
    bankShortName: 'Xe Europe BV',
  ),
  'HSBC': Iban(
    bic: 'HSBCNL2A',
    bankName: 'HSBC BANK',
    bankShortName: 'HSBC BANK',
  ),
  'ICBC': Iban(
    bic: 'ICBCNL2A',
    bankName: 'MEGA INTERNATIONAL COMMERCIAL BANK',
    bankShortName: 'MEGA INTERNATIONAL COMMERCIAL BANK',
  ),
  'ICBK': Iban(
    bic: 'ICBKNL2A',
    bankName: 'INDUSTRIAL & COMMERCIAL BANK OF CHINA',
    bankShortName: 'INDUSTRIAL & COMMERCIAL BANK OF CHINA',
  ),
  'ICEP': Iban(
    bic: 'ICEPNL21',
    bankName: 'ICEPAY',
    bankShortName: 'ICEPAY',
  ),
  'INGB': Iban(
    bic: 'INGBNL2A',
    bankName: 'ING',
    bankShortName: 'ING',
  ),
  'ISAE': Iban(
    bic: 'ISAENL2A',
    bankName: 'CACEIS BANK, Netherlands Branch',
    bankShortName: 'CACEIS BANK, Netherlands Branch',
  ),
  'ISBK': Iban(
    bic: 'ISBKNL2A',
    bankName: 'ISBANK',
    bankShortName: 'ISBANK',
  ),
  'KABA': Iban(
    bic: 'KABANL2A',
    bankName: 'YAPI KREDI BANK',
    bankShortName: 'YAPI KREDI BANK',
  ),
  'KNAB': Iban(
    bic: 'KNABNL2H',
    bankName: 'KNAB',
    bankShortName: 'KNAB',
  ),
  'KOEX': Iban(
    bic: 'KOEXNL2A',
    bankName: 'KEB HANA BANK',
    bankShortName: 'KEB HANA BANK',
  ),
  'KRED': Iban(
    bic: 'KREDNL2X',
    bankName: 'KBC BANK',
    bankShortName: 'KBC BANK',
  ),
  'LOYD': Iban(
    bic: 'LOYDNL2A',
    bankName: 'LLOYDS TSB BANK',
    bankShortName: 'LLOYDS TSB BANK',
  ),
  'LPLN': Iban(
    bic: 'LPLNNL2F',
    bankName: 'LEASEPLAN CORPORATION',
    bankShortName: 'LEASEPLAN CORPORATION',
  ),
  'MHCB': Iban(
    bic: 'MHCBNL2A',
    bankName: 'MIZUHO BANK EUROPE NV',
    bankShortName: 'MIZUHO BANK EUROPE NV',
  ),
  'NNBA': Iban(
    bic: 'NNBANL2G',
    bankName: 'NATIONALE-NEDERLANDEN BANK',
    bankShortName: 'NATIONALE-NEDERLANDEN BANK',
  ),
  'NWAB': Iban(
    bic: 'NWABNL2G',
    bankName: 'NEDERLANDSE WATERSCHAPSBANK',
    bankShortName: 'NEDERLANDSE WATERSCHAPSBANK',
  ),
  'PCBC': Iban(
    bic: 'PCBCNL2A',
    bankName: 'CHINA CONSTRUCTION BANK, AMSTERDAM BRANCH',
    bankShortName: 'CHINA CONSTRUCTION BANK, AMSTERDAM BRANCH',
  ),
  'RABO': Iban(
    bic: 'RABONL2U',
    bankName: 'RABOBANK',
    bankShortName: 'RABOBANK',
  ),
  'RBRB': Iban(
    bic: 'RBRBNL21',
    bankName: 'REGIOBANK',
    bankShortName: 'REGIOBANK',
  ),
  'SNSB': Iban(
    bic: 'SNSBNL2A',
    bankName: 'SNS',
    bankShortName: 'SNS',
  ),
  'SOGE': Iban(
    bic: 'SOGENL2A',
    bankName: 'SOCIETE GENERALE',
    bankShortName: 'SOCIETE GENERALE',
  ),
  'TRIO': Iban(
    bic: 'TRIONL2U',
    bankName: 'TRIODOS BANK',
    bankShortName: 'TRIODOS BANK',
  ),
  'UGBI': Iban(
    bic: 'UGBINL2A',
    bankName: 'GARANTIBANK INTERNATIONAL',
    bankShortName: 'GARANTIBANK INTERNATIONAL',
  ),
  'VOWA': Iban(
    bic: 'VOWANL21',
    bankName: 'VOLKSWAGEN BANK',
    bankShortName: 'VOLKSWAGEN BANK',
  ),
  'VPAY': Iban(
    bic: 'VPAYNL22',
    bankName: 'VIVA PAYMENT SERVICES S.A.',
    bankShortName: 'VIVA PAYMENT SERVICES S.A.',
  ),
  'VTPS': Iban(
    bic: 'VTPSNL2R',
    bankName: 'Vitesse PSP',
    bankShortName: 'Vitesse PSP',
  ),
  'ZWLB': Iban(
    bic: 'ZWLBNL21',
    bankName: 'SNS ( ex ZWITSERLEVENBANK)',
    bankShortName: 'SNS ( ex ZWITSERLEVENBANK)',
  ),
  'BCDM': Iban(
    bic: 'BCDMNL22',
    bankName:
        'BANQUE CHAABI DU MAROC * (tijdelijk) inactief sinds 31 december 2020 *',
    bankShortName:
        'BANQUE CHAABI DU MAROC * (tijdelijk) inactief sinds 31 december 2020 *',
  ),
  'BMEU': Iban(
    bic: 'BMEUNL21',
    bankName: 'BMCE EUROSERVICES * (tijdelijk) inactief sinds 7 juni 2021 *',
    bankShortName:
        'BMCE EUROSERVICES * (tijdelijk) inactief sinds 7 juni 2021 *',
  ),
};
